<div class="row">
  <div class="col-md-6">
    <form [formGroup]="myForm" (ngSubmit)="onSubmit(myForm.value)">
      <div class="form-group row" [class.has-danger]="!name.valid && name.touched">
        <label class="col-sm-2 form-control-label" for="type">Name</label>
        <div class="col-sm-6">
          <input type="text" class="form-control" formControlName="name" id="name" placeholder="jane_doe">
        </div>
      </div>

      <div class="form-group row">
        <label class="col-sm-2">Enabled</label>
        <div class="col-sm-6">
          <div class="checkbox">
            <label>
              <input formControlName="enabled" type="checkbox">
            </label>
          </div>
        </div>
      </div>

      <button class="btn btn-success btn-sm" [disabled]="!myForm.valid" type="submit">
        <i class="fa fa-plus-circle"></i>
        Add
      </button>
    </form>
  </div>
</div>
